Create a static flow draft
curl --request POST \
--url https://api.greentick.ai/v1/flows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"screens": [
{
"title": "<string>",
"body": "<string>",
"footerLabel": "<string>",
"fields": [
{}
]
}
],
"categories": [
"<string>"
],
"phoneNumberRef": "<string>",
"phoneNumberId": "<string>"
}
'import requests
url = "https://api.greentick.ai/v1/flows"
payload = {
"name": "<string>",
"screens": [
{
"title": "<string>",
"body": "<string>",
"footerLabel": "<string>",
"fields": [{}]
}
],
"categories": ["<string>"],
"phoneNumberRef": "<string>",
"phoneNumberId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
screens: [
{
title: '<string>',
body: JSON.stringify('<string>'),
footerLabel: '<string>',
fields: [{}]
}
],
categories: ['<string>'],
phoneNumberRef: '<string>',
phoneNumberId: '<string>'
})
};
fetch('https://api.greentick.ai/v1/flows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.greentick.ai/v1/flows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'screens' => [
[
'title' => '<string>',
'body' => '<string>',
'footerLabel' => '<string>',
'fields' => [
[
]
]
]
],
'categories' => [
'<string>'
],
'phoneNumberRef' => '<string>',
'phoneNumberId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.greentick.ai/v1/flows"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"screens\": [\n {\n \"title\": \"<string>\",\n \"body\": \"<string>\",\n \"footerLabel\": \"<string>\",\n \"fields\": [\n {}\n ]\n }\n ],\n \"categories\": [\n \"<string>\"\n ],\n \"phoneNumberRef\": \"<string>\",\n \"phoneNumberId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.greentick.ai/v1/flows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"screens\": [\n {\n \"title\": \"<string>\",\n \"body\": \"<string>\",\n \"footerLabel\": \"<string>\",\n \"fields\": [\n {}\n ]\n }\n ],\n \"categories\": [\n \"<string>\"\n ],\n \"phoneNumberRef\": \"<string>\",\n \"phoneNumberId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.greentick.ai/v1/flows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"screens\": [\n {\n \"title\": \"<string>\",\n \"body\": \"<string>\",\n \"footerLabel\": \"<string>\",\n \"fields\": [\n {}\n ]\n }\n ],\n \"categories\": [\n \"<string>\"\n ],\n \"phoneNumberRef\": \"<string>\",\n \"phoneNumberId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": "<unknown>",
"tool": "<string>",
"blockedTools": [
"<string>"
],
"next": "<string>"
}{
"success": false,
"code": "INVALID_TO",
"message": "to (E.164 phone) is required"
}{
"success": false,
"code": "INVALID_TO",
"message": "to (E.164 phone) is required"
}Flows
Create a static flow draft
POST
/
flows
Create a static flow draft
curl --request POST \
--url https://api.greentick.ai/v1/flows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"screens": [
{
"title": "<string>",
"body": "<string>",
"footerLabel": "<string>",
"fields": [
{}
]
}
],
"categories": [
"<string>"
],
"phoneNumberRef": "<string>",
"phoneNumberId": "<string>"
}
'import requests
url = "https://api.greentick.ai/v1/flows"
payload = {
"name": "<string>",
"screens": [
{
"title": "<string>",
"body": "<string>",
"footerLabel": "<string>",
"fields": [{}]
}
],
"categories": ["<string>"],
"phoneNumberRef": "<string>",
"phoneNumberId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
screens: [
{
title: '<string>',
body: JSON.stringify('<string>'),
footerLabel: '<string>',
fields: [{}]
}
],
categories: ['<string>'],
phoneNumberRef: '<string>',
phoneNumberId: '<string>'
})
};
fetch('https://api.greentick.ai/v1/flows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.greentick.ai/v1/flows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'screens' => [
[
'title' => '<string>',
'body' => '<string>',
'footerLabel' => '<string>',
'fields' => [
[
]
]
]
],
'categories' => [
'<string>'
],
'phoneNumberRef' => '<string>',
'phoneNumberId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.greentick.ai/v1/flows"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"screens\": [\n {\n \"title\": \"<string>\",\n \"body\": \"<string>\",\n \"footerLabel\": \"<string>\",\n \"fields\": [\n {}\n ]\n }\n ],\n \"categories\": [\n \"<string>\"\n ],\n \"phoneNumberRef\": \"<string>\",\n \"phoneNumberId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.greentick.ai/v1/flows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"screens\": [\n {\n \"title\": \"<string>\",\n \"body\": \"<string>\",\n \"footerLabel\": \"<string>\",\n \"fields\": [\n {}\n ]\n }\n ],\n \"categories\": [\n \"<string>\"\n ],\n \"phoneNumberRef\": \"<string>\",\n \"phoneNumberId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.greentick.ai/v1/flows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"screens\": [\n {\n \"title\": \"<string>\",\n \"body\": \"<string>\",\n \"footerLabel\": \"<string>\",\n \"fields\": [\n {}\n ]\n }\n ],\n \"categories\": [\n \"<string>\"\n ],\n \"phoneNumberRef\": \"<string>\",\n \"phoneNumberId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": "<unknown>",
"tool": "<string>",
"blockedTools": [
"<string>"
],
"next": "<string>"
}{
"success": false,
"code": "INVALID_TO",
"message": "to (E.164 phone) is required"
}{
"success": false,
"code": "INVALID_TO",
"message": "to (E.164 phone) is required"
}Authorizations
Create an API key in GreenTick Developer settings. Send it as Authorization: Bearer gt_live_… (Bearer prefix required).
Headers
When set, a repeated write with the same key and route replays the stored response.
Maximum string length:
200Body
application/json

